aboutsummaryrefslogtreecommitdiffstats
path: root/package/base-files/files/etc/init.d/watchdog
diff options
context:
space:
mode:
authorNicolas Thill <nico@openwrt.org>2011-11-07 22:58:34 +0000
committerNicolas Thill <nico@openwrt.org>2011-11-07 22:58:34 +0000
commit93886bc77667952afa306863c766cad00821074e (patch)
treeef648c4f579ed3363cc52af2c9b09f4384159413 /package/base-files/files/etc/init.d/watchdog
parent10a03275bfcaeca706c2bd20064431f6f3bb6bf5 (diff)
downloadupstream-93886bc77667952afa306863c766cad00821074e.tar.gz
upstream-93886bc77667952afa306863c766cad00821074e.tar.bz2
upstream-93886bc77667952afa306863c766cad00821074e.zip
package/base-files: use new service wrapper
SVN-Revision: 28835
Diffstat (limited to 'package/base-files/files/etc/init.d/watchdog')
-rwxr-xr-xpackage/base-files/files/etc/init.d/watchdog11
1 files changed, 6 insertions, 5 deletions
diff --git a/package/base-files/files/etc/init.d/watchdog b/package/base-files/files/etc/init.d/watchdog
index 65a45e53f2..299c891428 100755
--- a/package/base-files/files/etc/init.d/watchdog
+++ b/package/base-files/files/etc/init.d/watchdog
@@ -1,12 +1,13 @@
#!/bin/sh /etc/rc.common
-# Copyright (C) 2008-2010 OpenWrt.org
+# Copyright (C) 2008-2011 OpenWrt.org
START=97
+
start() {
- [ -c /dev/watchdog ] && [ -x /sbin/watchdog ] && \
- watchdog -t 5 /dev/watchdog
+ [ -c /dev/watchdog ] || return 1
+ [ -x /sbin/watchdog ] || return 1
+ service_start /sbin/watchdog -t 5 /dev/watchdog
}
-
stop() {
- killall -q watchdog
+ service_stop /sbin/watchdog
}